#include "configmodel.h"

#ifndef MAIN_H
#define MAIN_H

#define PIXMAP_DIR "/usr/share/gomunicator/pixmaps/"

#define PIXMAP_DIR_LEN 26
#define SUSPEND_FILENAME "/tmp/gomunicator.suspended"

extern char pin[16];

extern GtkWidget *DialAnswerButton, *BackspaceButton, *DialEntry, *NameEntry;
int checkPIN(void);
int checkCOPS(void);
int checkSetup(void);
void set_buttons(void);
void dialanswer_button_pressed(void);
void hangupignore_button_pressed(void);
void display_lookup_set_name(const char *number);
void StartRinging(void);
void StopRinging(gboolean missed);
void UpdateTime(int seconds);
void UpdateBattery(int level, gboolean charging);
void UpdateSignal(int level);
void StartCall(void);
void DialedOut(char *dialString);
void EndCall(void);
void NewSMS(int totalMsgs);
void usage(char *option);
void showversion(void);
void calldebug(void);
void profile_use(int option);
t_config_options phoneConfig;
extern int callid;
void prepare_dial(const char *number);

typedef struct  {

	char    init;
        char    control;
        char    pin;
} profiles;
 

void audio_off(void);
void audio_on(void);
void display_set_number(const char *text);
void display_set_name(const char *text);
void display_set_operator(const char *text);
void newSMS(char *text);

#endif //ndef MAIN_H
