struct pdu_number {
	int type;
	char *number;
};

struct pdu {
	struct pdu_number *smsc;
	int flags;
	int msg_ref_nr;
	struct pdu_number *number;
	int pid;
	int dcs;
	int validity;
	int year;
	int month;
	int day;
	int hour;
	int minute;
	int second;
	int timezone;	
	char *text;
};

struct pdu *pdu_decode(const char *pdu);
gchar * pdu_encode(const struct pdu *pdu);

struct pdu *pdu_new(const char *number, const char *smsc, const char *text);
void pdu_free(struct pdu *pdu);
