#ifndef SMS_H
#define SMS_H

typedef enum {msUnread, msRead, msUnsent, msSent, msAll} TMsgStatus;

struct MsgData {
  TMsgStatus status;
  unsigned char address[32];
  //alpha?
  time_t timestamp;
  unsigned char addressType, firstOctet, protocolID, codingScheme;
  unsigned char scAddress[32];
  unsigned char scAddressType, length;
  char msg[161];
}; //struct MsgData

extern int msgReadIndex;

void processMessage(unsigned char *bufPtr);


#endif //ndef SMS_H
